﻿using System.Collections.Generic;
using System.Collections.ObjectModel;
using Syncfusion.SfGauge.XForms;
using Xamarin.Forms;

namespace LineargaugeSample
{
	public partial class LineargaugeSamplePage : ContentPage
	{
		public LineargaugeSamplePage()
		{
			InitializeComponent();
			//Scale
			ObservableCollection<LinearScale> scales = new ObservableCollection<LinearScale>();
			LinearScale scale = new LinearScale();
			scale.MinimumValue = 0;
			scale.MaximumValue = 10;
			scale.Interval = 2;
			scale.ScaleBarLength = 100;
			scale.ScaleBarColor = Color.FromHex("#D8D8D8");
			scale.LabelColor = Color.FromRgb(84, 84, 84);
			scale.MinorTicksPerInterval = 1;

			if (Device.OS == TargetPlatform.iOS)
			{
				scale.ScaleBarSize = 6;
			}
			else if (Device.OS == TargetPlatform.Android)
				{
				scale.ScaleBarSize = 13;
			}

			scale.ScalePosition = ScalePosition.BackWard;

			//Major Ticks setting
			LinearTickSettings major = new LinearTickSettings();
			major.Length = 10;
			major.Color = Color.FromRgb(175, 175, 175);
			major.Thickness = 1;
			scale.MajorTickSettings = major;

			//Minor Ticks setting
			LinearTickSettings minor = new LinearTickSettings();
			minor.Length = 10;
			minor.Color = Color.FromRgb(175, 175, 175);
			minor.Thickness = 1;
			scale.MinorTickSettings = minor;



			//Range
			LinearRange symbolRange = new LinearRange();
			symbolRange.StartValue = 0;
			symbolRange.EndValue = 4;
			symbolRange.Color = Color.FromHex("#6EB339");
			symbolRange.StartWidth = 10;
			symbolRange.EndWidth = 10;
			if (Device.OS == TargetPlatform.Windows)
			{
				symbolRange.Offset = 0;
			}
			else
				symbolRange.Offset =0;
			scale.Ranges.Add(symbolRange);

			//Range
			LinearRange pointerRange = new LinearRange();
			pointerRange.StartValue = 4;
			pointerRange.EndValue = 8;
			pointerRange.Color = Color.FromHex("#F8A443");
			pointerRange.StartWidth = 10;
			pointerRange.EndWidth = 10;

			if (Device.OS == TargetPlatform.Windows)
			{
				pointerRange.Offset = 0;
				if (Device.Idiom == TargetIdiom.Tablet)
				{
					gettingStarted.FontSize = 25;
				}
			}
			else
				pointerRange.Offset = 0;

			scale.Ranges.Add(pointerRange);
			scales.Add(scale);
			linearGauge.BindingContext = scales;
		}

		public View getContent()
		{
			return this.Content;
		}
	}
}

